KausateKausate Docs
Beneficial owners
Viewing API version 2026-05-01. View the latest version.

Beneficial owners: order (async)

Order the beneficial owners of a company from the official register. Poll the order status or subscribe via webhook.

POST
/v2/companies/ubo
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Query Parameters

batch?boolean

Set to true for batch orders: many orders you submit together and do not need answered immediately. They run at a lower priority than interactive orders.

Defaultfalse

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate
X-Customer-Id?|

Optional customer ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.kausate.com/v2/companies/ubo" \  -H "X-API-Key: $KAUSATE_API_KEY" \  -H "Kausate-Version: 2026-05-01" \  -H "Content-Type: application/json" \  -d '{  "kausateId": "co_zz_4O3wnpE5u1K5AXnkARuhp"}'
{
  "orderId": "co_de_4JFFrsbQ99t1nmRw2JgzmG-ubo-org_01ABC-20240319",
  "customerReference": "my-ref-123",
  "metadata": {
    "team": "kyb",
    "ticket": "ACME-42"
  },
  "cachedOrder": false,
  "resultUrl": "/v2/companies/ubo/co_de_4JFFrsbQ99t1nmRw2JgzmG-ubo-org_01ABC-20240319"
}
{
  "detail": "Invalid company ID format",
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "API key is required",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Company not found",
  "code": "company.not_found",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "kausateId"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "The data source is rate-limiting requests right now, please try again later",
  "code": "source.rate_limited",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
  "code": "capability.not_available",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Network error while reaching the data source",
  "code": "source.network_error",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Data source temporarily unavailable",
  "code": "source.unavailable",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on